#!/usr/bin/env node
// Function to log your details in the terminal
function logDetails() {
  const message =
    "Hey there! I'm Manan Khandelwal, a Full Stack Developer with a strong background in web development and software engineering.";
  const githubLink = "https://www.github.com/mnnkhndlwl";
  const linkedinLink = "https://www.linkedin.com/in/mnnkhndlwl/";
  const wesbiteLink = "https://mnnkhndlwllive.tech";
  const email = "khandelwalmanan05@gmail.com";
  const location = "Delhi, India";

  const workExperience = [
    {
      title: "Full Stack Developer Intern",
      company: "Badho Technologies Pvt. ltd.",
      duration: "08/2023 - 11/2023",
      description: `working on badho's buyer and seller app for both android and ios`,
      website: "https://badho.in/",
    },
    {
      title: "Full Stack Developer Intern",
      company: "Blackhat Code Technology",
      duration: "08/2023 - 11/2023",
      description: `Collaborated with a cross-functional team to enhance the checkout
  feature on the Dochomoe platform, resulting in a 25% increase in
  completed transactions and improved user satisfaction. Developed and implemented an 
  intuitive admin dashboard, revolutionizing product management by enabling seamless 
  addition, deletion, and monitoring of products on the website. This led to a
  40% reduction in time spent on product updates and increased
  overall website efficiency.
  Implemented Pagination to all products page and search page and in
  the nodejs backend.
  Improved tracking and management of doctor and customer inquiries, enhancing communication and responsiveness.
  Integrated the website with Ship Rocket for enhanced shipping
  processes, ensuring punctual delivery and customer satisfaction
  through streamlined logistics. Deployed both the backend and frontend on DigitalOcean for robust
  hosting and accessibility. Added OTP verification for login and signup functionality. Utilized the following tech stack: Nodejs, Reactjs, Expressjs, MongoDB, Nextjs, Material UI, and Git.`,
      website: "https://dochomoeo.com/",
    },
  ];

  const personalProjects = [
    {
      name: "GroGo - Grocery Delivery App",
      description: `Developed a high-performing grocery delivery app using
  React Native
  Integrated Mapbox to provide seamless map
  functionality for improved user experience
  Implemented Stripe as the payment gateway, ensuring
  secure and efficient payment processing
  Utilized Redux Toolkit to efficiently manage user and
  cart data, enhancing overall app performance Employed a microservices architecture, separating
  product, customer, and shopping functionalities for
  improved scalability and maintainability
  Facilitated seamless communication between microservices using RabbitMQ, optimizing app
  performance and ensuring data consistency.
  Implemented Docker for efficient containerization, enhancing deployment and 
  scalability of the application Configured Nginx as a reverse proxy server`,
      website: "www.github.com/mnnkhndlwl/kharido", // No website provided
    },
    {
      name: "CompilerXpress - Online IDE",
      description: `Developed an innovative online IDE incorporating
  Node.js, Express.js, React.js, and Redux Toolkit
  Demonstrated passion by implementing support for both
  dark mode and light mode Enhanced user experience by providing compilation 
  and output display features Expanded functionality by supporting multiple programming languages
   including C, C++, Java, and Python`,
      website: "www.github.com/mnnkhndlwl/CompilerXpress", 
    },
    {
      name: "BPIT Student Management System",
      description: `Collaborated with seniors to build and deploy backend of attendance app with django and apache web server. Build a python script to parse IPU's result pdf and storing
  them in postgresql database. Build the backend for Notices and events service using nodejs and mongodb. Collaborating with juniors to build the whole infrastructure.`,
      website: "", // No website provided
    },
  ];

  // Create a colorful box using ANSI escape codes
  const colorfulBox = `  \x1b[38;5;51m+-----------------------------------------------------------------------------------------+
      |   \x1b[38;5;105m${message}\x1b[38;5;51m    |
      +-----------------------------------------------------------------------------------------+
      | \x1b[38;5;93mGithub:\x1b[0m \x1b[38;5;39m${githubLink}                                                    \x1b[38;5;51m|
      | \x1b[38;5;93mLinkedIn:\x1b[0m \x1b[38;5;39m${linkedinLink}                                                \x1b[38;5;51m|
      | \x1b[38;5;93mPortfolio:\x1b[0m  \x1b[38;5;39m${wesbiteLink}                                                 \x1b[38;5;51m|
      | \x1b[38;5;93mEmail:\x1b[0m \x1b[38;5;39m${email}                                                          \x1b[38;5;51m|
      | \x1b[38;5;93mLocation:\x1b[0m \x1b[38;5;39m${location}                                                    \x1b[38;5;51m|
      +-----------------------------------------------------------------------------------------+
      | \x1b[38;5;93mWork Experience:\x1b[0m                                                                     \x1b[38;5;51m|
      +-----------------------------------------------------------------------------------------+
      ${workExperience
        .map(
          (exp) =>
            `| - ${exp.title} at ${exp.company} (${exp.duration})
    ${exp.description}
    Website: ${exp.website}
    `
        )
        .join("")}
      +-----------------------------------------------------------------------------------------+
      | \x1b[38;5;93mPersonal Projects:\x1b[0m                                                                     \x1b[38;5;51m|
      +-----------------------------------------------------------------------------------------+
      ${personalProjects
        .map(
          (proj) =>
            `| - ${proj.name}
    ${proj.description}
    Website: ${proj.website}
    `
        )
        .join("")}
      +-----------------------------------------------------------------------------------------+\x1b[0m`;

  // Log the colorful box in the terminal
  console.log(colorfulBox);
}
// Call the function to log your details
logDetails();
